Message: GL configuration for (legacy) NVIDIA drivers Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Note GL configuration for (legacy) NVIDIA drivers 

Forum: Installation and Configuration
Date: Jan 28, 11:41
From: Andrea <Andrea>

The G4 configuration script usually located in /path/to/geant4.10.05-install/bin adds to LD_LIBRARY_PATH /usr/lib64.

In my system - CENTOS7 with graphic card NVIDIA GT218 [GeForce 210] and proprietary NVIDIA 340xx legacy binary OpenGL X11 display driver files - the above configuration causes any application using GL to fail to locate the appropriate GL driver, e.g., glxgears.

*** Correct configuration (glxgears works):
$ ldd /usr/bin/glxgears 
...
	libGL.so.1 => /usr/lib64/nvidia/libGL.so.1 (0x00007f051657f000)
...

*** Wrong configuration:
$ ldd /usr/bin/glxgears 
...
        libGL.so.1 => /usr/lib64/libGL.so.1 (0x00007faf1729a000)
...
$ glxgears
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast
Error: couldn't get an RGB, Double-buffered visual

 Add Message Add Message
to: "GL configuration for (legacy) NVIDIA drivers"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]